PONYSAY(6)

NOMBRE
ponysay - Una reimplementación de cowsay usando ponis

SINOPSIS
ponysay [opciones] [--] [mensaje]
ponythink [opciones] [--] [mensaje]

DESCRIPCIÓN

ponysay muestra la imagen de un poni con un texto dado por el usuario, esto dentro de la terminal.
Si no se da un mensaje ponysay aceptará una orden estándar en su lugar. El mensaje deberá de tener alrededor de 60 columnas, y el o la poni debera de mostrar este mensaje en una salida estándar.

Si no se da ningún argumento, el programa solamente aceptará mensajes estándares provistos por otros programas, un archivo, ambos o una cadena de caracteres (véase también bash(1) para detalles de archivos y cadenas de caracteres.)

ponythink es a ponysay lo que cowthink es a cowsay.

OPCIONES
El resumen de las opciones está incluido a continuación.

-h, --help
    Muestra la ayuda, un resumen de las opciones.

-v, --version
    Muestra la versión del programa.

-f, --file, --pony nombre
    Selecciona un poni específico (ya sea un archivo o el nombre directamente), puede usar esta opción con múltiples ponis y de estos será elegido uno al azar.

+f, ++file, ++pony nombre
    Selecciona un poni no pertenecientes a MLP:FiM (ya sea un archivo o el nombre directamente), puede usar esta opción con múltiples ponis y de estos será elegido uno aleatoriamente.

-F, --any-file, --anyfile, --anypony --any-pony nombre
    Esta opción combina -f y +f.

-q, --quote [nombre...]
    Usando esta opción un poni será mostrado dando una cita en inglés de «My Little Pony: Frienship is magic» (My Little Pony: La magia de la amistad). Este poni será seleccionado aleatoriamente salvo que uno o varios ponis sean agregados tras la opción -q, en cuyo caso será seleccionado uno al azar de este conjunto.

--f, --files, --ponies [nombre...]
    Variable variádica de -f, o sea, todos los argumentos dados después de este serán pasados a dicha opción.

++f, ++files, ++ponies [nombre...]
    Variable variádica de +f, o sea, todos los argumentos dados después de este argumento serán pasados a dicha opción.

--F, --any-files, --anyfiles, --anyponies --any-ponies nombre
    Esta opción combina --f y ++f.

--q, --quotes [nombre...]
    Variable variádica de -q, todos los argumentos dados después de este argumento serán pasados a dicha opción.

-b, --bubble, --balloon estilo
    Especifica el tipo de globo de texto a utilizar, puede ser la ruta a un archivo o bien una de las opciones dadas por ponysay -B.

-W, --wrap columna
    Las columnas de la pantalla en las que debe presentarse el mensaje, la anchura extra del globo se toma también en consideración. Si el argumento no es un número, sino que inicia en su lugar con n, no hay ajuste alguno y si comienza con i el ancho de la terminal es tomado.

-c, --compress, --compact [color-ANSI]
    Comprime en mensaje en la misma manera que cowsay lo hace, esto es básicamente sin múltiples espacios y solo separando párrafos.

-l, --list
    Lista los y las ponis disponibles.

-L, --symlist, --altlist
    Lista los y las ponis con nombres alternativos (enlaces simbólicos) dentro de paréntesis.

+l, ++list
    Lista los ponis no pertenecientes a MLP:FiM disponibles.

+L, ++symlist, ++altlist
    Lista los ponis no pertenecientes a MLP:FiM con nombres alternativos dentro de paréntesis.

-B, --bubblelist, --balloonlist estilo
    Muestra la lista de globos de texto disponibles.

-A. --all
    Lista todos y todas las ponis, tanto pertenecientes a MLP:FiM como no, en la primera lista se mostrarán los pertenecientes y la subsiguiente los que no.

+A, ++all, --symall, --altall
    Lista todos los ponis incluyendo sus nombres alternativos, estos pertenecientes a MLP:FiM cono no, en la primera lista se mostrarán los pertenecientes y la subsiguiente los no.

-o, --pony-only, --ponyonly
    Solamente muestra a la o el poni, pero no los demás elementos.

-i, --info
    Agregando esta opción podrá ver los metadatos del poni en lugar de este.

+i, ++info
    Esta opción funciona como -i, solamente que el poni mostrará la información en un globo de texto.

-r, --restriction
    Esta opción limita cuales ponis serán mostrados basados en sus metadatos. Un valor para este argumento es una combinación del nombre de la etiqueta en la forma de NOMBRE=VALOR.

-X, --256-colours, --256colours, --x-colours
    Usa el soporte de 256 colores de xterm (soportado por la mayoría de terminales en X11), sin diferencia entre las capacidades de la terminal.

-V, --tty-colours, --ttycolours, --vt-colours
    Usa el soporte de colores de la terminal VT de Linux sin usar KMS, indiferente de las capacidades de la terminal.

-K, --kms-colours, --kmscolours
    Usa el soporte de colores de la terminal VT de Linux usando KMS, indiferente de las capacidades de la terminal (no funciona en todas las tarjetas con soporte KMS).

+c, --colour [color-ANSI]
    Colorea el globo, Incluyendo mensajes y enlaces. Para más información acerca del coloreo vea las páginas info. El argumento o color-ANSI, Puede ser una secuencia de colores ANSI sin preceder de CSI y sin la cola m, por ejemplo: 1;31 puede referirse al color rojo y en negrita (o color claro dependiendo de la terminal.)

--colour-bubble, --colour-balloon [color-ANSI]
    Trabaja como --colour pero solamente colorea el globo de texto.

--colour-link [color-ANSI]
    Trabaja como --colour pero solamente colorea en enlace al globo de texto.

--colour-msg, --colour-message [color-ANSI]
    Trabaja como --colour pero solamente colorea el texto.

--colour-pony [color-ANSI]
    Trabaja como --colour pero solamente colorea la poni. Este coloreo no tiene efecto en archivos poni dado que tienen su propio coloreo.

--colour-wrap, --colour-hyphen [color-ANSI]
    Trabaja como --colour pero solo colorea guiones agregados por la envoltura del texto. Si desea remover el color use 0 (cero), por omisión es 31 (treintaiuno).

ENTORNO

PONYSAY_BOTTOM
    Bajo TTY (Linux VT), si la imagen es más larga que la anchura de la terminal en pantalla, solamente el inicio de esta es impreso, dejando únicamente dos líneas blancas, pero si desea que a pesar de todo sea impreso el fondo puede exportar PONYSAY_BOTTOM con el valor yes, y o 1.

PONYSAY_SHELL_LINES
    Bajo TTY (Linux VT), si la imagen es más larga que la anchura de la terminal en pantalla, solamente dos líneas blancas serán impresas. Si desea más o menos líneas blancas, puede exportar PONYSAY_SHELL_LINES con el valor de cuantas desea.

PONYSAY_FULL_WIDTH
    Puede exportar PONYSAY_FULL_WIDTH con el valor yes, y o 1, si desea que la salida sea truncada para que calce en la terminal.

PONYSAY_TRUNCATE_HEIGHT
    Exporte PONYSAY_TRUNCATE_HEIGHT con el valor yes, y o 1, si desea truncar la salida en el largo aun si no se está dentro de una terminal ponysay bajo TTY.

PONYSAY_UCS_ME
    Exporte PONYSAY_UCS_ME con el valor yes, y o 1, si es que busca «simular enlaces simbólicos» a ponis usando «Universal Character Set» (Conjunto de Caracteres Universal) [UCS] apuntando a sus nombres.

PONYSAY_KMS_PALETTE, PONYSAY_KMS_PALETTE_CMD
    PONYSAY_KMS_PALETTE o PONYSAY_KMS_PALETTE_CMD es usado para llamar a ponysay usando la paleta TTY tal cual es, esto es usado para mostrar a las ponis usando la mejor calidad de colores posible si esta bajo TTY y si su vídeo soporta «Kernel Mode Seting» (KMS) y este está activo.

PONYSAY_TYPO_LIMIT
    ponysay es capaz de autocorregir nombres mal escritos y tipos de globo de texto sin considerar la trasposición de texto, por omisión si la distancia ponderada es mayor a 5 (cinco) para la palabra más cercana, entonces es ignorada la autocorrección. Este limite puede ser cambiado si se exporta un numero a la variable PONYSAY_TYPO_LIMIT; Dejando este valor en 0 se desactiva la autocorrección.

PONYSAY_WRAP_HYPHEN
    Puede exportar lo que usará ponysay en lugar del guion cuando se envuelven los mensajes.

PONYSAY_WRAP_LIMIT
    Define cuan larga deberá ser la palabra para que se utilice el guion. Esta se utilizará para envolver palabras que son muy largas para que así la salida sea lo mejor posible. Esta no es la única condición bajo la cual puede ser cortada una palabra, también podrá cortarse si la palabra no puede encajar de otra manera.

PONYSAY_WRAP_EXCEED
    Define cuan larga puede llegar a ser una palabra antes de que sea cortada con un guion. Esta opción es usada en conjunto con PONYSAY_WRAP_LIMIT.

FALLOS
Los fallos pueden ser reportados en
<https://github.com/erkin/ponysay/issues>.

VÉASE TAMBIÉN
cowsay(1), fortune(6).

AUTOR
ponysay fue escrito por Erkin Batu Altunbaş <erkinbatu@gmail.com> con la ayuda de Mattias Andrée, Elis Axelsson, Sven-Hendrik Haase, Pablo Lezaeta, Jan Alexander Steffens y otros.

Este manual originalmente fue escrito por Louis Taylor <kragniz@gmail.com> para el proyecto Debian GNU/Linux (y puede ser usado por otros), y editado por los autores de ponysay para el lanzamiento oficial de este.
La actual traducción al español fue escrita por Pablo Lezaeta <prflr88@gmail.com>.

Este programa está licenciado bajo la «Licencia Pública General de GNU versión 3 o superior» GNU GPLv3+